Bug 1532539 - [PATCH] Invalid definitions in macros.perl
Summary: [PATCH] Invalid definitions in macros.perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-09 09:44 UTC by Panu Matilainen
Modified: 2018-04-13 13:53 UTC (History)
12 users (show)

Fixed In Version: perl-5.26.1-402.fc28 perl-5.26.1-402.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 13:53:38 UTC


Attachments (Terms of Use)
Remove invalid macro definitions (1.08 KB, patch)
2018-01-09 09:44 UTC, Panu Matilainen
no flags Details | Diff

Description Panu Matilainen 2018-01-09 09:44:29 UTC
Created attachment 1378922 [details]
Remove invalid macro definitions

There are invalid definitions in perl.macros file:
  
%global __perl_provides /usr/lib/rpm/perl.prov
%global __perl_requires /usr/lib/rpm/perl.req

In the macro file context, that means it's trying to define two macros named "global". Fortunately rpm doesn't let it override the builtin %global directive... This has been hiding in there for a better part of a decade but upstream rpm now warns about it:

error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions

Attached patch fixes it. Oh and don't as for a PR, I do not get along with Pagure.

Comment 1 Panu Matilainen 2018-01-10 12:02:58 UTC
BTW, the way deltarpm is designed makes this otherwise fairly harmless thing rather, ehm, conspicuous :)

---

Transaction Summary
================================================================================
Upgrade  75 Packages

Total download size: 308 M
Is this ok [y/N]: y
Downloading Packages:
(1/75): apr-util-1.6.1-1.fc27_1.6.1-2.fc27.x86_ 350 kB/s |  21 kB     00:00    
(2/75): cups-filters-1.16.1-3.fc27_1.16.1-4.fc2 1.9 MB/s | 144 kB     00:00    
error: Macro %global is a built-in (%define)  ] 699 kB/s | 165 kB     06:42 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(3/75): cups-filters-libs-1.16.1-3.fc27_1.16.1- 1.4 MB/s |  25 kB     00:00    
error: Macro %global is a built-in (%define)  ] 703 kB/s | 190 kB     06:40 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(4/75): devscripts-checkbashisms-2.17.11-1.fc27 485 kB/s |  13 kB     00:00    
(5/75): apr-util-ldap-1.6.1-1.fc27_1.6.1-2.fc27 145 kB/s |  17 kB     00:00    
error: Macro %global is a built-in (%define)  ] 753 kB/s | 465 kB     06:13 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(6/75): gimp-2.8.22-2.fc27.3_2.8.22-3.fc27.x86_ 7.1 MB/s | 3.4 MB     00:00    
[DRPM 1/28] apr-util-1.6.1-1.fc27_1.6.1-2.fc27.x86_64.drpm: done               
[DRPM 2/28] cups-filters-libs-1.16.1-3.fc27_1.16.1-4.fc27.x86_64.drpm: done    
[DRPM 3/28] devscripts-checkbashisms-2.17.11-1.fc27_2.17.12-1.fc27.x86_64.drpm: done
(7/75): hwdata-0.307-1.fc27_0.308-1.fc27.noarch  47 kB/s |  37 kB     00:00    
error: Macro %global is a built-in (%define)  ] 1.3 MB/s | 3.7 MB     03:27 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(8/75): gimp-libs-2.8.22-2.fc27.3_2.8.22-3.fc27 113 kB/s |  91 kB     00:00    
error: Macro %global is a built-in (%define)  ] 1.3 MB/s | 3.8 MB     03:26 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(9/75): iwl6000-firmware-9.221.4.1-81.fc27_9.22 969 kB/s |  18 kB     00:00    
error: Macro %global is a built-in (%define)  ] 1.3 MB/s | 3.9 MB     03:21 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(10/75): initscripts-9.78-1.fc27_9.79-1.fc27.x8 6.3 MB/s | 186 kB     00:00    
(11/75): pcre2-10.30-3.fc27_10.30-4.fc27.x86_64 1.8 MB/s |  23 kB     00:00    
(12/75): pcre2-devel-10.30-3.fc27_10.30-4.fc27. 2.4 MB/s |  43 kB     00:00    
(13/75): pcre2-utf16-10.30-3.fc27_10.30-4.fc27. 2.2 MB/s |  18 kB     00:00    
(14/75): libffado-2.3.0-7.fc27_2.4.0-1.fc27.x86 4.2 MB/s | 191 kB     00:00    
(15/75): pcre2-utf32-10.30-3.fc27_10.30-4.fc27. 1.6 MB/s |  19 kB     00:00    
(16/75): perl-Digest-SHA-6.00-1.fc27_6.01-1.fc2 1.5 MB/s |  23 kB     00:00    
(17/75): perl-Module-CoreList-5.20171120-1.fc27 1.9 MB/s |  14 kB     00:00    
(18/75): perl-Module-CoreList-tools-5.20171120- 1.3 MB/s | 9.6 kB     00:00    
(19/75): publicsuffix-list-20171028-1.fc27_2017 957 kB/s | 8.1 kB     00:00    
(20/75): poppler-0.57.0-6.fc27_0.57.0-7.fc27.x8 3.0 MB/s |  39 kB     00:00    
(21/75): poppler-glib-0.57.0-6.fc27_0.57.0-7.fc 2.2 MB/s |  28 kB     00:00    
(22/75): publicsuffix-list-dafsa-20171028-1.fc2 1.4 MB/s |  33 kB     00:00    
(23/75): python3-sphinxcontrib-websupport-1.0.1 671 kB/s |  15 kB     00:00    
(24/75): python2-sphinxcontrib-websupport-1.0.1 429 kB/s |  14 kB     00:00    
[DRPM 4/28] apr-util-ldap-1.6.1-1.fc27_1.6.1-2.fc27.x86_64.drpm: done          
error: Macro %global is a built-in (%define)  ] 1.4 MB/s | 4.4 MB     03:10 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(25/75): selinux-policy-devel-3.13.1-283.19.fc2 3.7 MB/s | 587 kB     00:00    
(26/75): wireshark-devel-2.4.2-1.fc27_2.4.3-1.f 1.0 MB/s | 152 kB     00:00    
(27/75): bakefile-0.2.10-5.fc27.x86_64.rpm      1.4 MB/s | 252 kB     00:00    
(28/75): bash-4.4.12-13.fc27.x86_64.rpm         3.4 MB/s | 1.5 MB     00:00    
(29/75): container-selinux-2.38-1.fc27.noarch.r 1.7 MB/s |  36 kB     00:00    
(30/75): devscripts-compat-2.17.12-1.fc27.x86_6 689 kB/s |  14 kB     00:00    
(31/75): wireshark-cli-2.4.2-1.fc27_2.4.3-1.fc2 4.8 MB/s | 6.6 MB     00:01    
(32/75): dracut-network-046-8.git20180105.fc27. 4.4 MB/s |  90 kB     00:00    
(33/75): dracut-config-rescue-046-8.git20180105 3.2 MB/s |  47 kB     00:00    
(34/75): dracut-046-8.git20180105.fc27.x86_64.r 611 kB/s | 347 kB     00:00    
(35/75): eclipse-equinox-osgi-4.7.2-1.fc27.x86_ 6.1 MB/s | 1.6 MB     00:00    
(36/75): fedora-logos-httpd-28.0.2-1.fc27.noarc 2.3 MB/s |  33 kB     00:00    
(37/75): selinux-policy-targeted-3.13.1-283.19. 3.8 MB/s | 7.7 MB     00:02    
[DRPM 5/28] cups-filters-1.16.1-3.fc27_1.16.1-4.fc27.x86_64.drpm: done         
[DRPM 6/28] hwdata-0.307-1.fc27_0.308-1.fc27.noarch.drpm: done                 
error: Macro %global is a built-in (%define)  ] 4.6 MB/s |  26 MB     00:54 ETA
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
(38/75): fedora-logos-28.0.2-1.fc27.x86_64.rpm  3.6 MB/s | 8.2 MB     00:02    
(39/75): freerdp-libs-2.0.0-35.20171220gitbfe83 2.7 MB/s | 887 kB     00:00    
(40/75): libwinpr-2.0.0-35.20171220gitbfe8359.f 2.5 MB/s | 331 kB     00:00    
(41/75): gdbm-1.14-1.fc27.x86_64.rpm            3.2 MB/s | 158 kB     00:00    
(42/75): gdbm-devel-1.14-1.fc27.x86_64.rpm      3.2 MB/s |  63 kB     00:00    
(43/75): gettext-0.19.8.1-12.fc27.x86_64.rpm    3.2 MB/s | 1.1 MB     00:00    
(44/75): gettext-libs-0.19.8.1-12.fc27.x86_64.r 4.1 MB/s | 303 kB     00:00    
(45/75): gettext-devel-0.19.8.1-12.fc27.x86_64. 3.2 MB/s | 328 kB     00:00    
(46/75): gettext-common-devel-0.19.8.1-12.fc27. 3.2 MB/s | 418 kB     00:00    
(47/75): libabw-0.1.2-1.fc27.x86_64.rpm         4.4 MB/s | 120 kB     00:00    
(48/75): libe-book-0.1.3-1.fc27.x86_64.rpm      4.7 MB/s | 189 kB     00:00    
(49/75): libgexiv2-0.10.7-1.fc27.x86_64.rpm     3.8 MB/s |  66 kB     00:00    
(50/75): libpkgconf-1.3.12-2.fc27.x86_64.rpm    2.2 MB/s |  31 kB     00:00    
(51/75): pkgconf-1.3.12-2.fc27.x86_64.rpm       2.2 MB/s |  31 kB     00:00    
(52/75): pkgconf-pkg-config-1.3.12-2.fc27.x86_6 1.5 MB/s |  13 kB     00:00    
(53/75): pkgconf-m4-1.3.12-2.fc27.noarch.rpm    1.6 MB/s |  13 kB     00:00    
(54/75): flash-player-npapi-28.0.0.137-release. 972 kB/s | 8.6 MB     00:09    
(55/75): mate-desktop-libs-1.19.2-1.fc27.x86_64 2.7 MB/s | 479 kB     00:00    
(56/75): ntfs-3g-2017.3.23-4.fc27.x86_64.rpm    3.5 MB/s | 277 kB     00:00    
(57/75): ntfsprogs-2017.3.23-4.fc27.x86_64.rpm  3.6 MB/s | 393 kB     00:00    
(58/75): perl-HTTP-Message-6.14-1.fc27.noarch.r 941 kB/s |  95 kB     00:00    
(59/75): perl-Time-HiRes-1.9749-1.fc27.x86_64.r 1.2 MB/s |  57 kB     00:00    
(60/75): perl-podlators-4.09-395.fc27.noarch.rp 1.5 MB/s | 115 kB     00:00    
(61/75): pigz-2.4-1.fc27.x86_64.rpm             1.6 MB/s |  76 kB     00:00    
(62/75): poppler-utils-0.57.0-7.fc27.x86_64.rpm 2.1 MB/s | 198 kB     00:00    
(63/75): python3-distro-1.2.0-1.fc27.noarch.rpm 1.5 MB/s |  33 kB     00:00    
(64/75): rsyslog-8.31.0-2.fc27.x86_64.rpm       2.9 MB/s | 653 kB     00:00    
(65/75): selinux-policy-3.13.1-283.21.fc27.noar 4.1 MB/s | 527 kB     00:00    
(66/75): linux-firmware-20171215-82.git2451bb22 4.3 MB/s |  61 MB     00:14    
(67/75): upower-0.99.7-1.fc27.x86_64.rpm        3.0 MB/s | 168 kB     00:00    
(68/75): wireshark-2.4.3-1.fc27.x86_64.rpm      1.5 MB/s |  33 kB     00:00    
(69/75): wireshark-gtk-2.4.3-1.fc27.x86_64.rpm  3.1 MB/s | 995 kB     00:00    
(70/75): xorg-x11-server-Xephyr-1.19.6-1.fc27.x 3.8 MB/s | 1.0 MB     00:00    
(71/75): xorg-x11-server-common-1.19.6-1.fc27.x 2.1 MB/s |  49 kB     00:00    
(72/75): xorg-x11-server-Xorg-1.19.6-1.fc27.x86 3.9 MB/s | 1.5 MB     00:00    
(73/75): firefox-57.0.4-1.fc27.x86_64.rpm       4.5 MB/s |  84 MB     00:18    
(74/75): xsel-1.2.0-21.fc27.x86_64.rpm           75 kB/s |  29 kB     00:00    
(75/75): thunderbird-52.5.2-1.fc27.x86_64.rpm   6.0 MB/s |  79 MB     00:13    
[DRPM 7/28] gimp-2.8.22-2.fc27.3_2.8.22-3.fc27.x86_64.drpm: done               
[DRPM 8/28] gimp-libs-2.8.22-2.fc27.3_2.8.22-3.fc27.x86_64.drpm: done          
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 9/28] iwl6000-firmware-9.221.4.1-81.fc27_9.221.4.1-82.fc27.noarch.drpm: done
[DRPM 10/28] initscripts-9.78-1.fc27_9.79-1.fc27.x86_64.drpm: done             
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 11/28] pcre2-devel-10.30-3.fc27_10.30-4.fc27.x86_64.drpm: done           
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 12/28] pcre2-utf32-10.30-3.fc27_10.30-4.fc27.x86_64.drpm: done           
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 13/28] perl-Digest-SHA-6.00-1.fc27_6.01-1.fc27.x86_64.drpm: done         
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 14/28] pcre2-utf16-10.30-3.fc27_10.30-4.fc27.x86_64.drpm: done           
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 15/28] perl-Module-CoreList-tools-5.20171120-1.fc27_5.20171220-1.fc27.noarch.drpm: done      
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 16/28] pcre2-10.30-3.fc27_10.30-4.fc27.x86_64.drpm: done                 
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 17/28] publicsuffix-list-20171028-1.fc27_20171228-1.fc27.noarch.drpm: done
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 18/28] perl-Module-CoreList-5.20171120-1.fc27_5.20171220-1.fc27.noarch.drpm: done
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 19/28] publicsuffix-list-dafsa-20171028-1.fc27_20171228-1.fc27.noarch.drpm: done
[DRPM 20/28] poppler-glib-0.57.0-6.fc27_0.57.0-7.fc27.x86_64.drpm: done        
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 21/28] poppler-0.57.0-6.fc27_0.57.0-7.fc27.x86_64.drpm: done             
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 22/28] libffado-2.3.0-7.fc27_2.4.0-1.fc27.x86_64.drpm: done              
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 23/28] python3-sphinxcontrib-websupport-1.0.1-4.20171013git.fc27_1.0.1-5.20171013git.fc27.noarch.drpm: done                          
[DRPM 24/28] python2-sphinxcontrib-websupport-1.0.1-4.20171013git.fc27_1.0.1-5.20171013git.fc27.noarch.drpm: done                          
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
error: Macro %global is a built-in (%define)
error: Macro %global is a built-in (%define)
warning: file /usr/lib/rpm/macros.d/macros.perl: 2 invalid macro definitions
[DRPM 25/28] selinux-policy-devel-3.13.1-283.19.fc27_3.13.1-283.21.fc27.noarch.drpm: done  
[DRPM 26/28] wireshark-devel-2.4.2-1.fc27_2.4.3-1.fc27.x86_64.drpm: done       
/var/cache/dnf/updates-09879b494aeba108/packages/selinux-policy-targeted-3.13.1-283.19.fc27_3.13.1-283.21.fc27.noarch.drpm: md5 mismatch of result
[DRPM 27/28] wireshark-cli-2.4.2-1.fc27_2.4.3-1.fc27.x86_64.drpm: done         
Some packages were not downloaded. Retrying.
selinux-policy-targeted-3.13.1-283.21.fc27.noar 9.9 MB/s |  10 MB     00:01    
--------------------------------------------------------------------------------
Total                                           6.2 MB/s | 285 MB     00:45     
Delta RPMs reduced 307.9 MB of updates to 285.4 MB (7.1% saved)

Comment 2 Fedora Update System 2018-01-10 14:56:44 UTC
perl-5.26.1-402.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f8f01f1e83

Comment 3 Fedora Update System 2018-01-10 16:16:40 UTC
perl-5.26.1-402.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f8f01f1e83

Comment 4 Fedora Update System 2018-01-16 17:16:20 UTC
perl-5.26.1-402.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2018-02-09 12:50:01 UTC
perl-5.24.3-396.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ef65cf422

Comment 6 Fedora Update System 2018-02-12 19:09:41 UTC
perl-5.24.3-396.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ef65cf422

Comment 7 Fedora End Of Life 2018-02-20 15:37:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 8 Fedora Update System 2018-03-06 17:27:11 UTC
perl-5.24.3-396.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.